# MatPBRelax

Computes relaxation (SOR, Gauss-Seidel) sweeps.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPBRelax(Mat mat,Vec b,PetscReal omega,MatSORType flag,PetscReal shift,PetscInt its,PetscInt lits,Vec x)

Collective on Mat and Vec

See MatRelax() for usage

For multi-component PDEs where the Jacobian is stored in a point block format (with the PETSc BAIJ matrix formats) the relaxation is done one point block at a time. That is, the small (for example, 4 by 4) blocks along the diagonal are solved simultaneously (that is a 4 by 4 linear solve is done) to update all the values at a point.

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages